--scenario utilities 
local ScenarioUtils = import('/lua/sim/ScenarioUtilities.lua') 
local ScenarioFramework = import('/lua/ScenarioFramework.lua') 

function OnPopulate()    
   ScenarioUtils.InitializeArmies()    
   local tblArmy = ListArmies() 
    
   --add mass fabrication restriction 
   for index,army in tblArmy do 
      ScenarioFramework.AddRestriction(army, categories.MASSFABRICATION*categories.STRUCTURE) 
   end 
end 


--start of map script 
function OnStart(self) 
end 
